Bug 997648 - /usr/sbin/prelink: /usr/lib64/gnucash/libgnc-core-utils.so.0: Could not find one of the dependencies
/usr/sbin/prelink: /usr/lib64/gnucash/libgnc-core-utils.so.0: Could not find ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnucash (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 17:33 EDT by Paul DeStefano
Modified: 2015-01-08 21:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-08 21:43:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul DeStefano 2013-08-15 17:33:22 EDT
Description of problem:

prelink.log shows this:

/usr/sbin/prelink -av -mR -q
/usr/sbin/prelink: /usr/lib64/gnucash/libgnc-core-utils.so.0: Could not find one of the dependencies
Assigned virtual address space slots for 64-bit x86-64 ELF libraries:
/usr/lib64/libaio.so.1.0.1                                   00000039b7600000-00000039b7801050
...

Version-Release number of selected component (if applicable):

prelink-0.5.0-1.fc19.x86_64
gnucash-2.4.13-1.fc19.x86_64

How reproducible:
Occurs evertime prelink cron job executes

Steps to Reproduce:
1. install gnucash
2. run prelink
3.

Actual results:
prelink reports "/usr/lib64/gnucash/libgnc-core-utils.so.0: Could not find one of the dependencies"

Expected results:
Prelink should not produce this message.

Additional info:
Comment 1 Bill Nottingham 2013-08-16 15:08:45 EDT
I think this is because it's linked against libgnc-qof, without an rpath/LD_RUN_PATH.
Comment 2 Fedora Admin XMLRPC Client 2014-03-05 11:46:44 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bill Nottingham 2015-01-08 21:43:28 EST
Apologies for the inability to address this bug as filed.

Currently, Fedora 19 is EOL, and Fedora 20 and later ship an entirely new major version of GnuCash which includes many changes. If this bug persists in Fedora 20 and later with GnuCash 2.6.x, please reopen this bug against that version.

Again, apologies for the inability to address this bug as filed. Closing as WONTFIX for Fedora 19/gnucash-2.4.

Note You need to log in before you can comment on or make changes to this bug.